Steerd API
Contacts

Create a contact

POST
/api/public/v1/contacts
AuthorizationBearer <token>

In: header

Header Parameters

idempotency-key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/public/v1/contacts" \  -H "Content-Type: application/json" \  -d '{    "first_name": "string"  }'
{  "archived_at": null,  "avatar_url": "string",  "birthday": null,  "birthday_no_year": false,  "created_at": "string",  "email": "string",  "first_name": "string",  "id": "string",  "is_primary": true,  "last_activity_at": null,  "last_name": "string",  "nickname": null,  "notes": "string",  "organization_id": "string",  "phone": "string",  "position": "string",  "updated_at": "string"}
{  "detail": {    "property1": "string",    "property2": "string"  },  "error": {    "code": "string",    "current": 0,    "feature": "api_access",    "limit": 0,    "message": "string",    "plan": "free",    "resource": "projects",    "upgrade_to": "free"  }}